Main Page Modules Data Structures File List Data Fields Globals Related Pages

# python/rpmds-py.h File Reference

More...

`#include "rpmds.h"`

Go to the source code of this file.

## Data Structures
struct | rpmdsObject_s
## Typedefs
typedef rpmdsObject_s | rpmdsObject
## Functions
rpmds | dsFromDs (rpmdsObject *ds)
rpmdsObject * | rpmds_Wrap (rpmds ds)
rpmdsObject * | rpmds_Single (PyObject *s, PyObject *args)
rpmdsObject * | hdr_dsFromHeader (PyObject *s, PyObject *args)
rpmdsObject * | hdr_dsOfHeader (PyObject *s, PyObject *args)
## Variables
PyTypeObject | rpmds_Type

## Detailed Description

Definition in file rpmds-py.h.

## Typedef Documentation

typedef struct rpmdsObject_s rpmdsObject

## Function Documentation

rpmds dsFromDs | ( | rpmdsObject * | ds | ) |

| Definition at line 332 of file rpmds-py.c.

rpmdsObject* hdr_dsFromHeader | ( | PyObject * | s,
|  | PyObject * | args
| ) |

| Definition at line 371 of file rpmds-py.c.

rpmdsObject* hdr_dsOfHeader | ( | PyObject * | s,
|  | PyObject * | args
| ) |

| Definition at line 391 of file rpmds-py.c.

rpmdsObject* rpmds_Single | ( | PyObject * | s,
|  | PyObject * | args
| ) |

| Definition at line 350 of file rpmds-py.c.

rpmdsObject* rpmds_Wrap | ( | rpmds | ds | ) |

| Definition at line 338 of file rpmds-py.c. Referenced by hdr_dsFromHeader, hdr_dsOfHeader, rpmds_Single, and rpmte_DS.

## Variable Documentation

PyTypeObject rpmds_Type

| Definition at line 22 of file rpmds-py.h.